cURL (public)
curl https://api.relayer.fi/v1/action/directoryconst response = await fetch("https://api.relayer.fi/v1/action/directory");
const { data } = await response.json();
// Public feed of approved widgets. Used by the platform observers (Twitter/X,
// YouTube, Twitch) to validate whether a widget URL is trusted.import requests
url = "https://testnet.relayer.fi/v1/action/directory"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/action/directory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Widget Actions
Get the Directory data
<!-- relayer:auth-badge:start -->
> **Auth: public.** No authentication required.
<!-- relayer:auth-badge:end -->
GET
/
action
/
directory
cURL (public)
curl https://api.relayer.fi/v1/action/directoryconst response = await fetch("https://api.relayer.fi/v1/action/directory");
const { data } = await response.json();
// Public feed of approved widgets. Used by the platform observers (Twitter/X,
// YouTube, Twitch) to validate whether a widget URL is trusted.import requests
url = "https://testnet.relayer.fi/v1/action/directory"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/action/directory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Use this format: ApiKey <your_api_key>
Response
The Directory data
⌘I